import request from '@/utils/request'

export function add(data) {
   return request({
      url: 'api/cmpTemp',
      method: 'post',
      data
   })
}
export function get(params) {
   return request({
      url: 'api/cmpTemp',
      method: 'get',
      params
   })
}

export function getDetail(params) {
   return request({
      url: 'api/cmpTemp/getById',
      method: 'get',
      params
   })
}

export function del(ids) {
   return request({
      url: 'api/cmpTemp/',
      method: 'delete',
      data: ids
   })
}

export function edit(data) {
   return request({
      url: 'api/cmpTemp',
      method: 'put',
      data
   })
}

export default { add, edit, del, get, getDetail }
